# Generated from terminal-notifier-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name terminal-notifier

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Send User Notifications on macOS 10.10 or higher
License: MIT
URL: https://github.com/julienXX/terminal-notifier
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bacon)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(mocha-on-bacon)
BuildArch: noarch

%description
Send User Notifications on macOS 10.10 or higher.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%{_bindir}/terminal-notifier
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.markdown

%changelog
* Thu Sep 16 2021 mockbuilder - 2.0.0-1
- Initial package
